unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls,ShellApi;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    procedure Label1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Label2Click(Sender: TObject);
    procedure Label3Click(Sender: TObject);
    procedure Label4Click(Sender: TObject);
    procedure Label4MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Label3.Caption:=Edit1.Text;

end;

procedure TForm1.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
   Label4.Font.Color:=clBlue;
end;

procedure TForm1.Label1Click(Sender: TObject);
begin
  ShellExecute(0,'open',PChar('http://helion.pl'),nil,nil,SW_SHOWNORMAL);
end;

procedure TForm1.Label2Click(Sender: TObject);
begin
  ShellExecute(0,'open',PChar('mailto:helion@helion.pl?subject=Test%20poczty'),
               nil,nil,SW_SHOWNORMAL);
end;

procedure TForm1.Label3Click(Sender: TObject);
begin
   ShellExecute(0,'open',PChar(Label3.Caption),nil,nil,SW_SHOWNORMAL);
end;

procedure TForm1.Label4Click(Sender: TObject);
begin
   ShellExecute(0,'open',PChar('http://helion.pl'),nil,nil,SW_SHOWNORMAL);
end;

procedure TForm1.Label4MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  Label4.Font.Color:=clRed;
end;

end.
